
<header>
    <div class="container">
        <h1>Sample Project</h1>
        <h3>Personality tests</h3>
    </div>
    <app-wave></app-wave>
</header>

<main>
    <div class="container">
        <form [formGroup]="form" (submit)="submit()">
            <label>Please select one of the available tests below to proceed:</label>
            <select formControlName="questionnaire">
                <option value="" disabled>Available tests...</option>
                <option *ngFor="let q of questionnaires" [value]="q.id">{{ q.title }}</option>
            </select>

            <button [disabled]="form.invalid">Proceed</button>
        </form>
    </div>
</main>
